#include <bits/stdc++.h>

using namespace std; 

int main () {
    
    ios_base::sync_with_stdio(false); 
    cin.tie(0); 
    cout.tie(0); 
    
    int n, m; 
    
    cin>>n>>m;
    
    n++;
    
    int a[n][2]; 
    
    for(int i = 1 ; i < n ; i++) {
        
        cin>>a[i][0]>>a[i][1]; 
        
    }
    
    for(int i = 0 ; i < m ; i++) {
        
        int l, r, x; 
        int br = 0; 
        
        cin>>l>>r>>x; 
        
        for(int j = l ; j < r+1 ; j++)
        {
            
            if(a[j][0] <= x && a[j][1] >= x) {
                
                br++; 
                
            }
            
        }
        
        cout<<br<<"\n"; 
        
        br = 0; 
        
    }
    
    return 0; 
    
}